Subject: Re: [PATCH] mlx4_en: show device's port used

From: Roland Dreier <[email-masked]>
Date: Tue, 25 May 2010 14:32:26 -0700

> I don't think there are many devices out there which have more than
 > one port.

??

http://developer.intel.com/network/connectivity/solutions/gigabit.htm
http://www.broadcom.com/products/Ethernet-Controllers/Enterprise-Server/BCM5704C

etc

 > So this will require changing all the drivers to put some value there
 > or we would need to use a default value of 1 for drivers that don't
 > explicitly set a value.

Yes, just set a default value.

 > > and export it to userspace in generic code (so everyone
 > > does it the same way).

 > Something like ethtool? But we still need an entry under
 > /sys/class/net/ethx/, right?

It could be ethtool or a sysfs attr.

 - R.
-- 
Roland Dreier <[email-masked]> || For corporate legal information go to:
http://www.cisco.com/web/about/doing_business/legal/cri/index.html
--
To unsubscribe from this list: send the line "unsubscribe linux-rdma" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html